Gnome2::IconTextItem(3)

NAME
Gnome2::IconTextItem

HIERARCHY
  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gnome2::Canvas::Item
                 +----Gnome2::IconTextItem

METHODS

  $iti->configure ($x, $y, $width, $fontname, $text, $is_editable, $is_static)

•   $x (integer)

•   $y (integer)

•   $width (integer)

•   $fontname (string)

•   $text (string)

•   $is_editable (boolean)

•   $is_static (boolean)

  editable = $iti->get_editable

  $iti->focus ($focused)

•   $focused (boolean)

  $iti->select ($sel)

•   $sel (boolean)

  $iti->setxy ($x, $y)

•   $x (integer)

•   $y (integer)

  $iti->start_editing

  $iti->stop_editing ($accept)

•   $accept (boolean)

  string = $iti->get_text

SIGNALS

boolean = text-changed (Gnome2::IconTextItem)
height-changed (Gnome2::IconTextItem)
width-changed (Gnome2::IconTextItem)
editing-started (Gnome2::IconTextItem)
editing-stopped (Gnome2::IconTextItem)
selection-started (Gnome2::IconTextItem)
selection-stopped (Gnome2::IconTextItem)

SEE ALSO
Gnome2, Glib::Object, Glib::InitiallyUnowned, Gtk2::Object, Gnome2::Canvas::Item

COPYRIGHT
Copyright (C) 2003-2004 by the gtk2-perl team.

This software is licensed under the LGPL. See Gnome2 for a full notice.